List email templates
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/emailTemplates \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/emailTemplates"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/emailTemplates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"bccAddress": "<string>",
"body": "<string>",
"ccAddress": "<string>",
"id": "<string>",
"name": "<string>",
"subject": "<string>",
"type": "JobAssigned",
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Email Template
List email templates
Requires an internal user role (Admin or Project Manager). To duplicate/clone an existing template, look up its fields here or via the get-single-template endpoint, then submit them (with a new name) to the create-email-template endpoint.
GET
/
api2
/
v1
/
emailTemplates
List email templates
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Filter by email template type. Use the /types endpoint to retrieve allowed values
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 50
Required range:
1 <= x <= 50Was this page helpful?